Subject: Re: bug#11566: 24.0.97; `read-from-minibuffer': focus to standalone minibuffer frame?

From: Eli Zaretskii <[email-masked]>
Date: Tue, 29 May 2012 19:46:56 +0300

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>
> Date: Tue, 29 May 2012 09:10:12 -0700
> 
> > Careful with your terminology: at least on MS-Windows, a "foreground"
> > frame is the frame that has focus and receives input.  So what you say
> > cannot happen by definition.
> 
> Got it.  I too was using "foreground" to mean the topmost (highest in the
> stacking order), and not the frame that receives keyboard input.

Well, it's tricky terminology to be sure.

> > The problem in bug #11513 was that a frame that was already a
> > foreground frame was not raised.  Maybe something similar happens
> > here.
> 
> Dunno.  I don't have a lot of hope that it's related.  But who knows?

One can hope.

However, in the interests of clarity, could you please describe the
bug again, in terms of which frame has focus (i.e. is the "foreground"
window), which is at the top of Z-order, and which has its border
highlighted, after read-from-minibuffer is called, as you described in
your original report?